<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.ruoyi</groupId>
        <artifactId>ruoyi-solon</artifactId>
        <version>${ruoyi-solon.version}</version>
    </parent>

    <artifactId>ruoyi-admin</artifactId>
    <packaging>jar</packaging>
    <description>服务入口</description>

    <dependencies>
        <!-- sqlite3驱动包 -->
        <dependency>
            <groupId>org.xerial</groupId>
            <artifactId>sqlite-jdbc</artifactId>
            <version>3.40.1.0</version>
        </dependency>

        <!-- 框架核心 -->
        <dependency>
            <groupId>com.ruoyi</groupId>
            <artifactId>ruoyi-framework</artifactId>
        </dependency>
        <!-- 代码生成 -->
        <dependency>
            <groupId>com.ruoyi</groupId>
            <artifactId>ruoyi-gen</artifactId>
            <version>${ruoyi-solon.version}</version>
        </dependency>
        <!-- 任务调度 -->
        <dependency>
            <groupId>com.ruoyi</groupId>
            <artifactId>ruoyi-schedule</artifactId>
        </dependency>
        <dependency>
            <groupId>org.redisson</groupId>
            <artifactId>redisson</artifactId>
            <version>3.45.0</version>
        </dependency>
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>solon-security-auth</artifactId>
        </dependency>
    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.noear</groupId>
                <artifactId>solon-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>
    
</project>